mac 10.15 cocoapods无法使用的解决办法

mac 10.13 cocoapods无法使用的解决办法

升级到 mac os 10.15 Catalina后 cocoapods 无法使用,出现如下提示

-bash: /usr/local/bin/pod: /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/bin/ruby: bad interpreter: No such file or directory

image

解决办法

更新gem
//我开了科学上网
sudo gem update --system

如果出现以下异常

ERROR:  While executing gem ... (Errno::EROFS)
    Read-only file system @ rb_sysopen - /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/gem

请使用这样的安装方式

//我开了科学上网
sudo gem update -n /usr/local/bin --system
升级cocoapods
//我开了科学上网
sudo gem install -n /usr/local/bin cocoapods --pre

博主大大

假如生活欺骗了你,不要悲伤,不要难过,反正明天也一样......

留下你的评论

*评论支持代码高亮<pre class="prettyprint linenums">代码</pre>

猜你喜欢